%global plugin_name workflow-api

Summary:    Plugin that defines Pipeline API
Name:       jenkins-plugin-%{plugin_name}
Version:    2.5
Release:    1%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+API+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-api-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.642.3

%description
Plugin that defines Pipeline API.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.5-1
- Update to latest version

* Tue Jun 21 2016 Troy Dawson <tdawson@redhat.com> - 2.1-1
- Update to 2.1

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.0-1
- Initial package
